import { ActionPayload } from "../dispatcher/payloads";
import { DoAfterSyncPreparedPayload } from "../dispatcher/payloads/DoAfterSyncPreparedPayload";
import { AsyncStore } from "./AsyncStore";
interface IState {
    deferredAction: ActionPayload | null;
}
/**
 * A class for storing application state to do with authentication. This is a simple
 * store that listens for actions and updates its state accordingly, informing any
 * listeners (views) of state changes.
 */
declare class LifecycleStore extends AsyncStore<IState> {
    constructor();
    protected onDispatch(payload: ActionPayload | DoAfterSyncPreparedPayload<ActionPayload>): void;
}
declare const _default: LifecycleStore;
export default _default;
